import "core-js/modules/es.array.map.js";
import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/esnext.iterator.constructor.js";
import "core-js/modules/esnext.iterator.map.js";
import { FcrIcon } from '.';
import * as svgExports from './svg-exports';
import { FcrMicrophoneIndicator } from './mic';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var meta = {
  title: 'Components/Icon',
  tags: ['autodocs'],
  argTypes: {}
};
export var IconSet = {
  args: {},
  render: function render() {
    return /*#__PURE__*/_jsx("div", {
      children: /*#__PURE__*/_jsxs("div", {
        style: {
          display: 'flex',
          flexWrap: 'wrap'
        },
        children: [/*#__PURE__*/_jsx(FcrMicrophoneIndicator, {
          voicePercent: 50
        }), Object.keys(svgExports).map(function (key) {
          return /*#__PURE__*/_jsx("div", {
            title: key,
            children: /*#__PURE__*/_jsx(FcrIcon, {
              type: key,
              size: 24,
              colors: {
                iconPrimary: '#ccc'
              }
            })
          });
        })]
      })
    });
  }
};
export default meta;